#! /usr/bin/perl
use strict;

my %AS;
use coqm;
my $rh_session = coqm::create_session($ARGV[1], $ARGV[0] );
#my $rh_ifDescr = coqm::fetch_ifDescr();
my $rh = coqm::fetch_bgp4PathAttrNextHop( $ARGV[2] );
foreach my $peer_ip (sort (keys %{$$rh{'by_peer'}} ))
{
	foreach my $network (sort (keys %{$$rh{'by_peer'}{ $peer_ip }}))
	{
		foreach my $mask (sort (keys %{$$rh{'by_peer'}{ $peer_ip }{ $network }}))
		{
			my $hop = $$rh{'by_peer'}{ $peer_ip }{ $network }{ $mask };
			print "$network/$mask -> $hop FROM $peer_ip\n";
		}
	}
}
	
