#! /usr/bin/perl
use strict;

               use coqm;
               my $rh_session = coqm::create_session($ARGV[1], $ARGV[0] );
               my $rh_ifDescr = coqm::fetch_ifDescr();

               foreach my $ifindex (sort { $a <=> $b } (keys %{$rh_ifDescr}) )
               {
                       my $ifDescr = $$rh_ifDescr{ $ifindex };
                       my $ifAlias = coqm::fetch_ifAlias( $ifindex );
                       my $ifName = coqm::fetch_ifName( $ifindex );
                       my $ifOperStatus = coqm::fetch_ifOperStatus( $ifindex );
                       my $ifAdminStatus = coqm::fetch_ifAdminStatus( $ifindex );
                       my $ifSpeed = coqm::fetch_ifSpeed( $ifindex );
                       printf( "%3d %-20s %-20s %6s %6s %12s %s\n", $ifindex, $ifDescr, 
$ifName, $ifOperStatus, $ifAdminStatus, $ifSpeed, $ifAlias );
               }
